SDL_GetRenderMetalLayer(3)

NAME
SDL_GetRenderMetalLayer - Get the CAMetalLayer associated with the given Metal renderer.

SYNOPSIS
#include <SDL3/SDL_render.h>

void * SDL_GetRenderMetalLayer(SDL_Renderer *renderer);

DESCRIPTION
This function returns void *, so SDL doesn't have to include Metal's headers, but it can be safely cast to a CAMetalLayer *.

FUNCTION PARAMETERS

renderer
    the renderer to query.

RETURN VALUE
Returns a CAMetalLayer * on success, or NULL if the renderer isn't a Metal renderer.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRenderMetalCommandEncoder(3)